# System Praktyk - Frontend

Projekt oparty o [Create React App](https://create-react-app.dev/) z wyciągniętymi najważniejszymi rzeczami w celu 
minimalizacji zależności.

## Skrypty
```bash
$ yarn server # uruchomienie serwera
$ yarn watch  # uruchomienie budowania assetów
$ yarn build  # uruchomienie produkcyjnego builda
```

## Struktura projektu
```
/.build            - skrypty budujace aplikacje na serwerze
/config            - konfiguracja 
/public            - pliki publiczne
/translations      - tłumaczenia
/src/api           - moduły związane z interfejsowaniem z api
/src/data          - modele danych
/src/forms         - formularze i pochodne
/src/components    - wspólne komponenty
/src/hooks         - customowe hooki dla reacta
/src/pages         - podstrony
/src/provider      - przykładowe dane
/src/serialization - serializacja modeli
/src/state         - zarządzanie stanem
/src/management    - moduły administracji kursami, struktura analogiczna
/src/styles,ui     - style
/src/utils         - pomocne funkcje
```

## Docker
Obraz bazuje na nginxie z linii mainline. Budowanie obrazu:
```
docker build -f Dockerfile -t system-praktyk-front:latest . 
```

Dostępne są wszystkie zmienne środowiskowe typowe dla nginxa oraz dodatkowo `APP_API_BASE` definiującą bazowy adres pod którym dostępne jest api.

Przykład uruchomienia:
```
docker run -e APP_API_BASE="https://system-praktyk.stg.kadet.net" -p 80:80 system-praktyk-front
```
